package com.dgtis.dorm.manager.db.domain;

import java.util.Date;
import java.util.List;

/**
 * 行政办理事项
 *
 * @author huanghaoqi
 * @version 1.0
 * @date 2018年12月03日 14:33:52
 * @since JDK1.8
 */
public class AdministrativeItems {
    /**
     * 自增主键
     */
    private Integer id;
    /**
     * 事项名称
     */
    private String name;
    /**
     * 父级ID
     */
    private Integer parentId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 图标路径
     */
    private String iconStorageId;
    /**
     * PDF 附件ID
     */
    private String pdfStorageId;
    /**
     * 表格附件ID
     */
    private String tableStorageId;
    /**
     * 二维码附件ID
     */
    private String qrcodeStorageId;
    /**
     * 等级
     */
    private Integer level;
    /**
     * 创建日期
     */
    private Date createDate;
    /**
     * 创建人
     */
    private Integer createUser;
    /**
     * 更新时间
     */
    private Date updateDate;
    /**
     * 更新人
     */
    private Integer updateUser;
    /**
     * 删除标识符
     */
    private Integer deflag;
    /**
     * 所属事项
     */
    private String parentName;
    /**
     * 图标名称
     */
    private String iconStorageOldName;
    /**
     * 图标路径
     */
    private String iconStorageUrl;
    /**
     * pdf名称
     */
    private String pdfStorageOldName;
    /**
     * pdf路径
     */
    private String pdfStorageUrl;
    /**
     * 表格名称
     */
    private String tableStorageOldName;
    /**
     * 表格路径
     */
    private String tableStorageUrl;
    /**
     * 二维码名称
     */
    private String qrcodeStorageOldName;
    /**
     * 二维码路径
     */
    private String qrcodeStorageUrl;
    /**
     * 办事指南文档数量
     */
    private Long itemsGuidanceDocCount;
    /**
     * 表格文档数量
     */
    private Long itemsTableDocCount;

    /**
     * 所属事项名称（拼音）
     */
    private String nameSpell;

    /**
     * 办事指南文档列表
     */
    private List<AdministrativeItemsDoc> itemsGuidanceDocList;
    /**
     * 表格文档列表
     */
    private List<AdministrativeItemsDoc> itemsTableDocList;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIconStorageId() {
        return iconStorageId;
    }

    public void setIconStorageId(String iconStorageId) {
        this.iconStorageId = iconStorageId;
    }

    public String getPdfStorageId() {
        return pdfStorageId;
    }

    public void setPdfStorageId(String pdfStorageId) {
        this.pdfStorageId = pdfStorageId;
    }

    public String getTableStorageId() {
        return tableStorageId;
    }

    public void setTableStorageId(String tableStorageId) {
        this.tableStorageId = tableStorageId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Integer getDeflag() {
        return deflag;
    }

    public void setDeflag(Integer deflag) {
        this.deflag = deflag;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getIconStorageOldName() {
        return iconStorageOldName;
    }

    public void setIconStorageOldName(String iconStorageOldName) {
        this.iconStorageOldName = iconStorageOldName;
    }

    public String getIconStorageUrl() {
        return iconStorageUrl;
    }

    public void setIconStorageUrl(String iconStorageUrl) {
        this.iconStorageUrl = iconStorageUrl;
    }

    public String getPdfStorageOldName() {
        return pdfStorageOldName;
    }

    public void setPdfStorageOldName(String pdfStorageOldName) {
        this.pdfStorageOldName = pdfStorageOldName;
    }

    public String getPdfStorageUrl() {
        return pdfStorageUrl;
    }

    public void setPdfStorageUrl(String pdfStorageUrl) {
        this.pdfStorageUrl = pdfStorageUrl;
    }

    public String getTableStorageOldName() {
        return tableStorageOldName;
    }

    public void setTableStorageOldName(String tableStorageOldName) {
        this.tableStorageOldName = tableStorageOldName;
    }

    public String getTableStorageUrl() {
        return tableStorageUrl;
    }

    public void setTableStorageUrl(String tableStorageUrl) {
        this.tableStorageUrl = tableStorageUrl;
    }

    public String getQrcodeStorageId() {
        return qrcodeStorageId;
    }

    public void setQrcodeStorageId(String qrcodeStorageId) {
        this.qrcodeStorageId = qrcodeStorageId;
    }

    public String getQrcodeStorageOldName() {
        return qrcodeStorageOldName;
    }

    public void setQrcodeStorageOldName(String qrcodeStorageOldName) {
        this.qrcodeStorageOldName = qrcodeStorageOldName;
    }

    public String getQrcodeStorageUrl() {
        return qrcodeStorageUrl;
    }

    public void setQrcodeStorageUrl(String qrcodeStorageUrl) {
        this.qrcodeStorageUrl = qrcodeStorageUrl;
    }

    public String getNameSpell() {
        return nameSpell;
    }

    public void setNameSpell(String nameSpell) {
        this.nameSpell = nameSpell;
    }

    public List<AdministrativeItemsDoc> getItemsGuidanceDocList() {
        return itemsGuidanceDocList;
    }

    public void setItemsGuidanceDocList(List<AdministrativeItemsDoc> itemsGuidanceDocList) {
        this.itemsGuidanceDocList = itemsGuidanceDocList;
    }

    public List<AdministrativeItemsDoc> getItemsTableDocList() {
        return itemsTableDocList;
    }

    public void setItemsTableDocList(List<AdministrativeItemsDoc> itemsTableDocList) {
        this.itemsTableDocList = itemsTableDocList;
    }

    public Long getItemsGuidanceDocCount() {
        return itemsGuidanceDocCount;
    }

    public void setItemsGuidanceDocCount(Long itemsGuidanceDocCount) {
        this.itemsGuidanceDocCount = itemsGuidanceDocCount;
    }

    public Long getItemsTableDocCount() {
        return itemsTableDocCount;
    }

    public void setItemsTableDocCount(Long itemsTableDocCount) {
        this.itemsTableDocCount = itemsTableDocCount;
    }
}
